package com.develop.food.base.repo.db

import android.annotation.SuppressLint
import androidx.room.AutoMigration
import androidx.room.Database
import androidx.room.RoomDatabase
import com.develop.food.base.repo.db.dao.DevConfigDao
import com.develop.food.base.repo.db.dao.UserInfoDao
import com.develop.food.base.repo.entity.*

@Database(
    entities = [DevVersion::class, UserInfo::class, UserFavoriteRecipes::class, UserHistoryRecipes::class, UserTag::class, UserOnLineRecipes::class,UserRecipeStepRemark::class],
    version = 2,
    autoMigrations = [AutoMigration(from = 1, to = 2)],
    exportSchema = true,
)
abstract class UserDatabase : RoomDatabase() {

    abstract fun userInfoDao(): UserInfoDao

    abstract fun devConfigDao(): DevConfigDao

}